<h1 mat-dialog-title>Edit Timeslot</h1>
<mat-dialog-content>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Label</mat-label>
    <input matInput [formControl]="labelControl">
    <mat-hint>Enter label</mat-hint>
    <mat-error *ngIf="labelControl.invalid">You must enter a label.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Start</mat-label>
    <input matInput [formControl]="startControl" type="datetime-local">
    <mat-hint>Enter start time according to your system timezone</mat-hint>
    <mat-error *ngIf="startControl.invalid">You must enter a start time.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>End</mat-label>
    <input matInput [formControl]="endControl" type="datetime-local">
    <mat-hint>Enter end time according to your system timezone</mat-hint>
    <mat-error *ngIf="endControl.invalid">You must enter a end time.</mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Description</mat-label>
    <textarea [(ngModel)]="description" matInput></textarea>
  </mat-form-field>
  <section class="input-section">
    <mat-checkbox [(ngModel)]="enabled">Enabled</mat-checkbox>
  </section>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="onCancelClick()">CANCEL</button>
  <button mat-button color="primary" (click)="onSubmitClick()" type="submit">EDIT</button>
</mat-dialog-actions>
